Office Land Ltd Office Furniture – IT Products – Stationery

TP-Link Omada 18-Port Gigabit Smart Switch with 16-Port PoE+

TP-LinkModel SG2218P(UN)

TP-Link Omada 18-Port Gigabit Smart Switch with 16-Port PoE+

Available on lead time

Request a quote for pricing

We respond within one business day. Volume pricing available.

Ask on WhatsApp
  • Nationwide delivery, installed in Lagos. Lead times
  • Manufacturer warranty, claims handled by us. How it works
  • Authorised reseller, certified by the Standards Organisation of Nigeria.
  • Buying in volume? Send the schedule and we price the whole list.

At a glance

Switch type
Managed
Ethernet LAN data rates
10,100,1000 Mbit/s
Certification
CE, FCC, RoHS
Cables included
LAN (RJ-45)

Overview

TP-Link Omada 18-Port Gigabit Smart Switch with 16-Port PoE+ is a TP-Link switches & adapter with a certification of CE, FCC, RoHS and a mib support of MIB II (RFC1213), Bridge MIB (RFC1493), P/Q-Bridge MIB (RFC2674), Radius Accounting Client MIB (RFC2620), Radius Authentication Client MIB (RFC2618), Remote Ping, Traceroute MIB (RFC2925), Support TP-Link private MIBs, RMON MIB(RFC1757, rmon 1,2,3,9). The details below are drawn from the manufacturer specification and are what to check against your own requirement before requesting a quote.

Certification is CE, FCC, RoHS. MIB support is MIB II (RFC1213), Bridge MIB (RFC1493), P/Q-Bridge MIB (RFC2674), Radius Accounting Client MIB (RFC2620), Radius Authentication Client MIB (RFC2618), Remote Ping, Traceroute MIB (RFC2925), Support TP-Link private MIBs, RMON MIB(RFC1757, rmon 1,2,3,9). Ethernet LAN data rates is 10,100,1000 Mbit/s. User guide is Yes. Packet buffer memory is 4.1 MB. Heat dissipation is 619.06 BTU/h. Switch type is Managed. Flow control support is Yes. Each of these is listed again in the specification table, so nothing here has to be taken on trust.

Warranty: 3 year limited warranty for normal product and 5 year warranty for managed switch. Ask us if you need a different configuration - we quote against the specification you actually need rather than the one on the box.

Specifications

Switch type Managed
Ethernet LAN data rates 10,100,1000 Mbit/s
Certification CE, FCC, RoHS

Warranty

3 year limited warranty for normal product and 5 year warranty for managed switch

You may also like

See it before you buy

All locations
  • The OfficeLand counter inside Century 21 Mall, with HP authorised reseller signage and shelves of stationery and IT supplies

    Head Office

    Century 21 Mall, 14B Idowu Martins Street, Victoria Island, Lagos
    Get directions
  • The OfficeLand furniture showroom on Idowu Martins Street, its frontage listing desks, chairs, conference tables and filing cabinets

    Furniture Showroom

    No 18, Idowu Martins Street, Victoria Island, Lagos State
    Get directions
  • High-rise towers at Jumeirah Lakes Towers, Dubai

    Dubai Office

    Office Land Solutions DMCC, Unit 808-001 Platinum Tower, Plot JLT-PH1-12, Jumeirah Lakes Towers, Dubai, UAE

    Registered office